httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Boyle Owen" <Owen.Bo...@swx.com>
Subject RE: Help compiling mod_ssl / apache 1.3.23 + mod_auth_mysql / php
Date Wed, 03 Jul 2002 15:14:59 GMT
>From: Julian Grunnell [mailto:jgrunnell@firstnet.net.uk]

>Wed Jul  3 15:21:39 2002] [warn] Loaded DSO libexec/mod_usertrack.so
>uses plain Apache 1.3 API, this module might crash under EAPI! (please
>recompile it with -DEAPI)

The standard apache 1.3.x comes with a built-in interface for external modules - the API (application
programming interface). For reasons which are too complicated to explain (i.e. I don't understand
them :-), this API is insufficient for mod_ssl. So when you compile mod_ssl, it extends the
apache API - thus making an extended API (EAPI).

So an apache with mod_ssl capability sports an extended API... Now, if you then link in another
module like mod_usertrack which expects to see a standard API, it might barf when it encounters
the EAPI. Or it might not, if all the interface methods (hooks?) it uses still function the
same in the EAPI.

To be on the safe side, if you add in mod_ssl, recompile all your other .so files as well
with the EAPI.

Rgds,

Owen Boyle.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message